glance show prints invalid URI

Bug #888370 reported by Dan Prince on 2011-11-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Low
Dan Prince
Diablo
Undecided
Unassigned

Bug Description

glance show d9b4917d-8538-43df-bf8a-adbebb541bc4 prints a URI that looks like this:

URI: http://0.0.0.0/images/d9b4917d-8538-43df-bf8a-adbebb541bc4

It should be:

URI: http://0.0.0.0:9292/v1/images/d9b4917d-8538-43df-bf8a-adbebb541bc4

Dan Prince (dan-prince) on 2011-11-10
Changed in glance:
assignee: nobody → Dan Prince (dan-prince)
importance: Undecided → Low
status: New → In Progress

Reviewed: https://review.openstack.org/1485
Committed: http://github.com/openstack/glance/commit/98cefb7fc8430ad92b002d2300fd2085c71c9750
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 98cefb7fc8430ad92b002d2300fd2085c71c9750
Author: Dan Prince <email address hidden>
Date: Wed Nov 9 20:47:27 2011 -0500

    Update 'glance show' to print a valid URI. Fixes bug #888370.

    Change-Id: Ibe8d7974eb2dfca79953b473b904df55daafa748

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/1487
Committed: http://github.com/openstack/glance/commit/854d66ec65caeda872163e17ececc3dc8fa0f710
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 854d66ec65caeda872163e17ececc3dc8fa0f710
Author: Brian Waldon <email address hidden>
Date: Wed Nov 9 21:06:35 2011 -0500

    Adding tests to check 'glance show <ID>' format

    Prevent regression on bug 888370

    Change-Id: I7dedc31cd19c242af25b8a947dbe936a1ed2eb13

Reviewed: https://review.openstack.org/1783
Committed: http://github.com/openstack/glance/commit/4573115574a881ba2296e5b4b4458e4e65146fce
Submitter: Jenkins
Branch: stable/diablo

 tag in-stable-diablo
 done

commit 4573115574a881ba2296e5b4b4458e4e65146fce
Author: Dan Prince <email address hidden>
Date: Wed Nov 9 20:47:27 2011 -0500

    Update 'glance show' to print a valid URI. Fixes bug #888370.

    (cherry picked from commit 98cefb7fc8430ad92b002d2300fd2085c71c9750)

    Change-Id: Ibe8d7974eb2dfca79953b473b904df55daafa748

Thierry Carrez (ttx) on 2011-12-14
Changed in glance:
milestone: none → essex-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in glance:
milestone: essex-2 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers